import { OcTableCell } from './oc-table-cell.model';
export class OcTableRow {
    constructor(cells) {
        this.cells = cells;
    }
    static constructRowFromData(data) {
        let row = [];
        data.forEach((v, k) => {
            let cell = new OcTableCell(v);
            row.push(cell);
        });
        return new OcTableRow(row);
    }
    getCellByColumnName(name) {
        return this.cells.find(cell => cell.column.value === name);
    }
}
