import { OcTableConfig } from '../oc-table.interface';
import { OcTableDataSource } from '../datasource/table-datasource.model';
/**
 * Singleton that provide config initialize serivice for table,
 * Data: filter --> sort column order --> Map<any,any>
 */
export declare class OcTableConfigInitializer {
    private static instance;
    constructor();
    filterData(data: any, config: OcTableConfig): any;
    bindPipes(dataSource: OcTableDataSource, config: OcTableConfig): OcTableDataSource;
    validateConfig(data: any, config: OcTableConfig): void;
    mergeRuntimeConfig(config: OcTableConfig): OcTableConfig;
    private toMapArray;
    private pickValue;
}
