import { EventEmitter, ElementRef } from '@angular/core';
import 'brace';
import 'brace/mode/python';
import 'brace/mode/yaml';
import 'brace/theme/monokai';
import 'brace/theme/idle_fingers';
export declare class OcCodeEditorComponent {
    textChanged: EventEmitter<{}>;
    style: any;
    _options: any;
    _readOnly: boolean;
    _theme: string;
    _mode: any;
    _autoUpdateContent: boolean;
    _editor: any;
    _durationBeforeCallback: number;
    _text: string;
    oldText: any;
    timeoutSaving: any;
    constructor(elementRef: ElementRef);
    options: any;
    setOptions(options: any): void;
    readOnly: any;
    setReadOnly(readOnly: any): void;
    theme: any;
    setTheme(theme: any): void;
    mode: any;
    setMode(mode: any): void;
    text: string;
    setText(text: any): void;
    autoUpdateContent: any;
    setAutoUpdateContent(status: any): void;
    durationBeforeCallback: number;
    setDurationBeforeCallback(num: number): void;
    getEditor(): any;
    init(): void;
    initEvents(): void;
    updateText(): void;
}
