import { AsyncValidatorFn, ValidatorFn } from '@angular/forms';
import { AsyncValidationFn, ValidationFn } from './validation-fn-factory';
export interface ValidationOptions {
    validator: ValidationFn | AsyncValidationFn;
    errorName: string;
    errorMessage: string;
}
export declare class ValidationControl {
    validator: ValidationFn | AsyncValidationFn;
    errorName: string;
    errorMessage: string;
    _validatorInternal: ValidatorFn;
    _asyncValidatorInternal: AsyncValidatorFn;
    constructor(options: ValidationOptions);
    _createValidationInternal(validator: ValidationFn | AsyncValidationFn, errorName: string): void;
}
export declare type ValidationControls = Array<ValidationControl>;
