import { EventEmitter } from '@angular/core';
import { OcMenuConfig } from './menu.interface';
import { Router } from '@angular/router';
export declare class OcMenuComponent {
    private router;
    version: string;
    config: OcMenuConfig;
    resize: EventEmitter<{}>;
    menuContent: any;
    isShowTopLevel: boolean;
    isMinimized: boolean;
    isTwoLevelMenu: boolean;
    private defaultCheck;
    constructor(router: Router);
    ngOnInit(): void;
    ngOnChanges(): void;
    onCheck(i: any): void;
    showTopLevelMenu(): void;
    goBack(): void;
    hideTopLevelMenu(): void;
    resizeMenu(): void;
    getDisplayMessage(input: string): string;
    shouldDisableTooltip(input: string): boolean;
    _setMenuContent(): void;
    _detectCheckInit(content: any): void;
    _isTwoLevelMenu(config: OcMenuConfig): boolean;
    _detectIfChecked(): void;
}
