import { Observable } from 'rxjs';
export interface OcMenuItem {
    name: string;
    router: string;
    img?: string;
    icon?: string;
    checked: boolean;
    active?: boolean;
    ifShow: Observable<boolean>;
    queryParams?: Object;
    namespace?: string;
}
export interface OcMenuDataItem extends OcMenuItem {
    children?: OcMenuItem[];
}
export interface OcMenuConfig {
    title: string;
    items: OcMenuDataItem[];
}
