import { OcTableDataSource } from './table-datasource.model';
import { OcPipeTransformFn, OcTableColumnConfig } from '../oc-table.interface';
/** Table header
 */
export declare class OcTableColumn {
    value: string;
    compareFunction?: Function;
    isNumeric: boolean;
    datasource: OcTableDataSource;
    name: string;
    config: OcTableColumnConfig;
    private _isSortable;
    private _runtimeWidth;
    private _lineBreak;
    private _hoverSorter;
    private _sortOrder;
    pipe: OcPipeTransformFn;
    columnPlaceholderText: string;
    constructor(value: string, isSortable?: boolean, compareFunction?: Function, isNumeric?: boolean);
    width: number;
    readonly minWidth: number;
    readonly lineBreak: boolean;
    isSortable: boolean;
    hoverSorter: boolean;
    sortOrder: "asc" | "desc";
}
